Trouble upgrading to 3.1.4

kz
kzmiller
Posts: 2
Joined: Sun Jul 07, 2019 2:53 pm
Platform: Mac

Thu Oct 17, 2019 7:24 pm Post

I have Scrivener 3 and recently I got a message that there's an update. I keep getting an error message that the update failed. (Sorry, I should have written it down exactly what the error message was but I didn't.) Now I'm wondering if it's because I haven't updated to Catalina yet. I'm going to hold out against updating to Catalina until I get an iMac. I'm afraid Catalina will make my poor, old MacBook Pro have a meltdown. I could always hope that it would be smaller and more efficient, but more likely Catalina will suffer from code and feature bloat like all other upgrades.

Will Scrivener 3.1.4 work with Mojave 10.14.6, or should I ignore the update, since it's not going through anyway, and stick with Scrivener 3.1.3?

User avatar
rdale
Posts: 1728
Joined: Tue Jul 14, 2015 1:07 pm
Platform: Mac, Win + iOS
Location: St. Louis, MO
Contact:

Thu Oct 17, 2019 7:47 pm Post

Yes, it works great on Mojave. I'm using it on my Mac (still on Mojave for the foreseeable future), and haven't seen any issues.

If you can't get the updater to work, quit scrivener and download from the website: https://www.literatureandlatte.com/scrivener/download
FKA: robertdguthrie
AKA: R Dale Guthrie, Robert, Mr. Obscure, and "Oh, it's you again".

Ki
Kinsey
Posts: 375
Joined: Mon Apr 09, 2012 6:06 pm
Platform: Mac

Thu Oct 17, 2019 7:48 pm Post

It's working for me on High Sierra, so Mojave shouldn't be a problem. Try downloading direct from the website: https://www.literatureandlatte.com/scri ... s?os=macOS

Edit: rdale got there first :)

kz
kzmiller
Posts: 2
Joined: Sun Jul 07, 2019 2:53 pm
Platform: Mac

Thu Oct 17, 2019 10:01 pm Post

Thank you both! I will give that try.

:D